Prizes
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptionalExample:
Page number (default: 1)
1pageSizenumberOptionalExample:
Number of items per page (default: 10)
10sortstringOptionalExample:
Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt
-createdAtselectstringOptional
Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders
populatestringOptional
Relations to populate (comma separated). Example: wallet,token
Responses
200Success
No content
get/api/prizes
GET /api/prizes HTTP/1.1
Host: api.bound.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
prizeNumbernumberRequiredExample:
Prize number (1..100)
1namestringRequiredExample:
Bound Bunny #001inscriptionIdstringRequiredExample:
Ordinal inscription id
a1a1a1...a1a1a1i0controllingUtxostringRequiredExample:
Treasury UTXO holding the inscription (txid:vout)
a1a1a1...a1a1a1:0Responses
201Success
No content
post/api/prizes
POST /api/prizes HTTP/1.1
Host: api.bound.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"prizeNumber": 1,
"name": "Bound Bunny #001",
"inscriptionId": "a1a1a1...a1a1a1i0",
"controllingUtxo": "a1a1a1...a1a1a1:0"
}201Success
No content
Last updated